Type to search.

Resume a workflow execution from an external link

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Resume a paused waitForApproval step (pauses the workflow and waits for a human to approve/decline before execution continues) or waitForInput step (passes the expected input values as query parameters in the URL). Returns an HTML confirmation page.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

executionId string · max length: 128 required

Workflow execution ID

stepId string · max length: 128 required

Workflow step execution ID

Query parameters

token string · max length: 128 required

The token created when the workflow execution was paused. Authenticates the request to resume execution.

approved union boolean | enum

Indicates whether a human reviewer approved the paused step. Required for waitForApproval when resuming an approval step.

Values: true false

Response

An HTML confirmation page confirming that the response was received and the workflow execution was resumed.

text/html

Response Type: string